3v4l.org

run code in 150+ php & hhvm versions
Bugs & Features
<?php $toto = '1'; try { if(isset($toto1) === false) { throw new Exception('n\'existe pas !'); } echo $toto1; } catch(Exception $e) { echo 'Ooops'; echo $e; } ?>
Output for 7.0.0 - 7.1.0
OoopsException: n'existe pas ! in /in/DT6qr:5 Stack trace: #0 {main}
Output for 5.0.0 - 5.0.2, 5.0.5 - 5.6.28
Ooopsexception 'Exception' with message 'n'existe pas !' in /in/DT6qr:5 Stack trace: #0 {main}
Output for 5.0.3 - 5.0.4
Ooopsexception 'Exception' with message 'n'existe pas !' in /in/DT6qr:5 Stack trace: #0 /in/DT6qr(5): unknown() #1 {main}
Output for 4.4.2 - 4.4.9
Parse error: syntax error, unexpected '{' in /in/DT6qr on line 3
Process exited with code 255.
Output for 4.3.0 - 4.3.1, 4.3.5 - 4.4.1
Parse error: parse error, unexpected '{' in /in/DT6qr on line 3
Process exited with code 255.
Output for 4.3.2 - 4.3.4
Parse error: parse error in /in/DT6qr on line 3
Process exited with code 255.